import { Component,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonAvatar, IonButton, IonButtons, IonCard, IonCardContent, IonCardHeader, IonLabel, IonList,
   IonItem,IonIcon,IonCardTitle,IonInput,IonSearchbar } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { CommonModule } from '@angular/common';
@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [IonHeader,IonToolbar,IonTitle,IonContent,ExploreContainerComponent,
    IonButtons,IonButton,IonIcon,
    IonCard,IonCardContent,IonCardHeader,IonCardTitle,
    IonLabel,IonList,IonItem,IonAvatar,IonInput,IonSearchbar,
    CommonModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
})
export class Tab1Page {
  onSearch(event: any) {
    const searchTerm = event.target.value; // 获取用户输入的搜索内容
    console.log('搜索内容:', searchTerm);
    // 在这里添加搜索逻辑，例如过滤列表或导航到搜索结果页面
  }
  consultants = [
    {
      name: '李医生',
      avatar: 'img/1.png',
      fields: ['焦虑', '抑郁']
    },
    {
      name: '张医生',
      avatar: 'img/1.png',
      fields: ['人际关系', '情绪管理']
    },
    {
      name: '王医生',
      avatar: 'img/1.png',
      fields: ['压力管理', '心理咨询']
    }
  ];

  topics = [
    {
      id: 1,
      title: '如何管理焦虑情绪',
      description: '了解焦虑的来源及应对策略。'
    },
    {
      id: 2,
      title: '克服抑郁的有效方法',
      description: '探索抑郁症的应对技巧。'
    },
    {
      id: 3,
      title: '提升自信心的技巧',
      description: '学习如何建立自信。'
    }
  ];

  reviews = [
    {
      avatar: 'img/1.png',
      content: '这款APP真的帮助了我，感谢陪聊师！',
      rating: 4
    },
    {
      avatar: 'img/1.png',
      content: '非常实用的心理咨询平台！',
      rating: 5
    },
    {
      avatar: 'img/1.png',
      content: '我喜欢这里的热门话题！',
      rating: 4
    }
  ];

  bookConsultation(consultant: any) {
    // 预约咨询逻辑
    console.log(`预约咨询: ${consultant.name}`);
  }
}